# ClpCholeskyUfl Class Reference

Ufl class for Clp Cholesky factorization. More...

`#include <ClpCholeskyUfl.hpp>`

Inheritance diagram for ClpCholeskyUfl:
[legend]
Collaboration diagram for ClpCholeskyUfl:
[legend]

List of all members.

## Public Member Functions
Virtual methods that the derived classes provides
virtual int | order (ClpInterior *model)
| Orders rows and saves pointer to matrix.and model.
virtual int | symbolic ()
| Does Symbolic factorization given permutation using CHOLMOD (if available).
virtual int | factorize (const double *diagonal, int *rowsDropped)
| Factorize - filling in rowsDropped and returning number dropped using CHOLMOD (if available).
virtual void | solve (double *region)
| Uses factorization to solve.
Constructors, destructor
| ClpCholeskyUfl (int denseThreshold=-1)
| Constructor which has dense columns activated.
virtual | ~ClpCholeskyUfl ()
| Destructor.
virtual ClpCholeskyBase * | clone () const
| Clone.
## Private Member Functions
| ClpCholeskyUfl (const ClpCholeskyUfl &)
ClpCholeskyUfl & | operator= (const ClpCholeskyUfl &)
| Assignment.
## Private Attributes
cholmod_factor * | L_
cholmod_common * | c_

## Detailed Description

Ufl class for Clp Cholesky factorization.

If you wish to use AMD code from University of Florida see

http://www.cise.ufl.edu/research/sparse/amd

for terms of use

If you wish to use CHOLMOD code from University of Florida see

http://www.cise.ufl.edu/research/sparse/cholmod

for terms of use

Definition at line 32 of file ClpCholeskyUfl.hpp.

## Constructor & Destructor Documentation

ClpCholeskyUfl::ClpCholeskyUfl | ( | int | denseThreshold = `-1` | ) |

Constructor which has dense columns activated.

Default is off.

virtual ClpCholeskyUfl::~ClpCholeskyUfl | ( |  | ) | `[virtual]`

Destructor.

ClpCholeskyUfl::ClpCholeskyUfl | ( | const ClpCholeskyUfl & |  | ) | `[private]`

## Member Function Documentation

virtual int ClpCholeskyUfl::order | ( | ClpInterior * | model | ) | `[virtual]`

Orders rows and saves pointer to matrix.and model.

Returns non-zero if not enough memory

Reimplemented from ClpCholeskyBase.

virtual int ClpCholeskyUfl::symbolic | ( |  | ) | `[virtual]`

Does Symbolic factorization given permutation using CHOLMOD (if available).

This is called immediately after order. If user provides this then user must provide factorize and solve. Otherwise the default factorization is used returns non-zero if not enough memory.

Reimplemented from ClpCholeskyBase.

virtual int ClpCholeskyUfl::factorize | ( | const double * | diagonal,
|  | int * | rowsDropped |
| ) |  |  | `[virtual]`

Factorize - filling in rowsDropped and returning number dropped using CHOLMOD (if available).

If return code negative then out of memory

Reimplemented from ClpCholeskyBase.

virtual void ClpCholeskyUfl::solve | ( | double * | region | ) | `[virtual]`

Uses factorization to solve.

Uses CHOLMOD (if available).

Reimplemented from ClpCholeskyBase.

virtual ClpCholeskyBase* ClpCholeskyUfl::clone | ( |  | ) | const`[virtual]`

Clone.

Reimplemented from ClpCholeskyBase.

ClpCholeskyUfl& ClpCholeskyUfl::operator= | ( | const ClpCholeskyUfl & |  | ) | `[private]`

Assignment.

Reimplemented from ClpCholeskyBase.

## Member Data Documentation

cholmod_factor* ClpCholeskyUfl::L_`[private]`

Definition at line 66 of file ClpCholeskyUfl.hpp.

cholmod_common* ClpCholeskyUfl::c_`[private]`

Definition at line 67 of file ClpCholeskyUfl.hpp.

The documentation for this class was generated from the following file:

- /home/coin/svn-release/Blis-0.93.10/Clp/src/ClpCholeskyUfl.hpp